package com.ningdatech.pmapi.todocenter.model.dto.res;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.wflow.workflow.bean.vo.ProcessInstanceVo;
import com.wflow.workflow.bean.vo.ProcessTaskVo;
import com.wflow.workflow.bean.vo.UserInfoVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 待办中心-待我处理返回实体信息
 *
 * @author CMM
 * @since 2023/01/12 14:57
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ExcelIgnoreUnannotated
public class ResToBeProcessedDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("项目ID")
    private Long projectId;

    @ApiModelProperty("流程实例编号")
    private String instanceCode;

    @ApiModelProperty("项目名称")
    private String projectName;

    @ApiModelProperty("申报单位ID")
    private String buildUnitId;

    @ApiModelProperty("申报单位名称")
    private String buildUnitName;

    @ApiModelProperty("申报金额")
    private BigDecimal declareAmount;

    @ApiModelProperty("预算年度")
    private Integer projectYear;

    @ApiModelProperty("流程状态")
    private Integer processStatus;

    @ApiModelProperty("流程状态名称")
    private String processStatusName;

    @ApiModelProperty("流程发起时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    private LocalDateTime processLaunchTime;

    @ApiModelProperty("流程处理时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    private LocalDateTime processHandleTime;

    @ApiModelProperty("流程任务信息")
    private ProcessTaskVo processTaskInfo;

    @ApiModelProperty("流程实例信息")
    private ProcessInstanceVo processInstanceInfo;

    @ApiModelProperty("流程发起人信息")
    private UserInfoVO owner;
}
